#pragma once
#ifndef INVCONTROLS_H
#define INVCONTROLS_H

#include "SDL.h"

//Feed an event into the controls system
void _controls_handleEvent(SDL_Event* e);

//New frame, flip controls
void _controls_step();

//Get control states
bool keyPressed(SDLKey key);
bool keyDown(SDLKey key);
bool keyReleased(SDLKey key);
bool keyUp(SDLKey key);

bool mousePressed(Uint8 button);
bool mouseDown(Uint8 button);
bool mouseReleased(Uint8 button);
bool mouseUp(Uint8 button);

//Track mouse motion
int mouseX();
int mouseY();
int mouseMoveX();
int mouseMoveY();

#endif